INTERFACE
SUBROUTINE NOX2NO2AD(KDLEN,KLEN,KDCOUNT,KCOUNT,PRESO,&
 & PXP,PXPD,&
 & PTF,PSOE,PAL,PCOD5,PTAUC5,PCCF5,YDGEMSPROF,&
 & PNO2,&
 & PRESH5,PRESF5,PXP5,PXPD5,PTF5,YDGEMSPROF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPPM
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESO(KDLEN,KDCOUNT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXP(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXPD(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOE(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PAL(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOD5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUC5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNO2(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXP5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXPD5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF), INTENT(INOUT), OPTIONAL :: YDGEMSPROF(KDLEN,NGEMS)
TYPE (TYPE_GEMSPROF), INTENT(IN), OPTIONAL :: YDGEMSPROF5(KDLEN,NGEMS)
END SUBROUTINE NOX2NO2AD
END INTERFACE
